Innehåll

# AND Operator

Kombinerar två uttryck logiskt.

## Syntax:

    Resultat = Uttryck1 And Uttryck2

## Parametrar:

Resultat: En numerisk variabel som innehåller kombinationens resultat.

Uttryck1, Uttryck2: De uttryck som ska kombineras.

Logiska uttryck som kombineras med AND returnerar värdet True om båda uttrycken evalueras till True.

True AND True returnerar True; alla andra kombinationer ger resultatet False.

Operatorn AND används också för bitvis jämförelse av två numeriska uttryck.

## Exempel:

    Sub ExampleAnd
    Dim A As Variant, B As Variant, C As Variant, D As Variant
    Dim vVarOut As Variant
        A = 10: B = 8: C = 6: D = Null
        vVarOut = A > B And B > C ' returnerar -1
        vVarOut = B > A And B > C ' returnerar 0
        vVarOut = A > B And B > D ' returnerar 0
        vVarOut = (B > D And B > A) ' returnerar 0
        vVarOut = B And A ' returnerar 8 efter bitvis AND-kombination av båda argumenten
    End Sub